#!/bin/bash

STRUCT=3
NBOPERATIONS="25000 50000 75000 100000 250000 500000"
echo "Taille,Version,CPU,Mem"

for $nb in $NBOPERATIONS
do
    for i in `seq $STRUCT`
    do 
    if [ $i = 1 ]
    then
        res=`(/usr/bin/time -f "%U,%M" java p4a.MainArrayListStd $nb > /dev/null) 2>&1`
        echo "$nb,ArrayListStd,$res"
    elif [ $i = 2 ]
    then
        res=`(/usr/bin/time -f "%U,%M" java p4a.MainLinkedListStd $nb > /dev/null) 2>&1`
        echo "$nb,LinkedListStd,$res"
    else 
        res=`(/usr/bin/time -f "%U,%M" java p4a.MainArrayStd $nb > /dev/null) 2>&1`
        echo "$nb,ArrayStd,$res"
        
    fi
    done
done 